<?php
// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }
function begin_scripts() {
	wp_enqueue_style( 'begin-style', get_stylesheet_uri(), array() );
}
add_action( 'wp_enqueue_scripts', 'begin_scripts' );

if (function_exists('register_sidebar')){
	register_sidebar( array(
		'name'          => '博客布局侧边栏',
		'id'            => 'sidebar-h',
		'description'   => '显示在首页博客布局侧边栏',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '正文侧边栏',
		'id'            => 'sidebar-s',
		'description'   => '显示在文章正文及页面侧边栏',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '分类归档侧边栏',
		'id'            => 'sidebar-a',
		'description'   => '显示在文章归档页、搜索、404页侧边栏 ',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '杂志布局侧边栏',
		'id'            => 'cms-s',
		'description'   => '只显示在杂志布局侧边栏',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '杂志单栏小工具',
		'id'            => 'cms-one',
		'description'   => '显示在首页CMS杂志布局',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '杂志两栏小工具',
		'id'            => 'cms-two',
		'description'   => '显示在首页CMS杂志布局',
		'before_widget' => '<div class="xl2"><aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside></div>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '杂志三栏小工具',
		'id'            => 'cms-three',
		'description'   => '显示在首页CMS杂志布局',
		'before_widget' => '<div class="xl3"><aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside></div>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '正文底部小工具',
		'id'            => 'sidebar-e',
		'description'   => '显示在正文底部',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da"><span class="s-icon"></span>',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '公司主页“一栏”小工具',
		'id'            => 'group-one',
		'description'   => '显示在公司主页布局',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '公司主页“两栏”小工具',
		'id'            => 'group-two',
		'description'   => '显示在公司主页布局',
		'before_widget' => '<div class="xl2"><aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside></div>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '公司主页“三栏”小工具',
		'id'            =>  'group-three',
		'description'   => '显示在公司主页布局',
		'before_widget' => '<div class="xl3"><aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside></div>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '头部小工具',
		'id'            => 'header-widget',
		'description'   => '显示在页头',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da"><span class="s-icon"></span>',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '页脚小工具',
		'id'            => 'sidebar-f',
		'description'   => '显示在页脚',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da"><span class="s-icon"></span>',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '菜单页面',
		'id'            => 'all-cat',
		'description'   => '只适用于菜单页面模板，添加自定义菜单小工具',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '网址侧边栏',
		'id'            => 'favorites',
		'description'   => '只适用于网址分类法页面 ',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '网址单栏小工具',
		'id'            => 'favorites-one',
		'description'   => '显示网址页面',
		'before_widget' => '<aside id="%1$s" class="widget %2$s wow fadeInUp ms bk">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => '搜索结果侧边栏',
		'id'            => 'search-results',
		'description'   => '显示在搜索结果页面',
		'before_widget' => '<aside id="%1$s" class="widget %2$s ms bk" data-aos="">',
		'after_widget'  => '<div class="clear"></div></aside>',
		'before_title'  => '<h3 class="widget-title bkx da">',
		'after_title'   => '</h3>',
	) );

	if (function_exists( 'is_shop' )) {
		register_sidebar( array(
			'name'          => 'WOO商店侧边栏',
			'id'            => 'woo',
			'description'   => '显示在WOO商店',
			'before_widget' => '<aside id="%1$s" class="widget %2$s ms bk" data-aos="">',
			'after_widget'  => '<div class="clear"></div></aside>',
			'before_title'  => '<h3 class="widget-title bkx da">',
			'after_title'   => '</h3>',
		) );
	}
}

// 小工具
class new_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('new_cat', '最新文章', $widget_ops);
	}
}

add_action( 'widgets_init', 'new_cat_init' );
function new_cat_init() {
	register_widget( 'new_cat' );
}

class img_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('img_cat', '分类图片', $widget_ops);
	}
}

add_action( 'widgets_init', 'img_cat_init' );
function img_cat_init() {
	register_widget( 'img_cat' );
}

class recent_comments extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('recent_comments', '近期留言', $widget_ops);
	}
}

function recent_comments_init() {
	register_widget( 'recent_comments' );
}
add_action( 'widgets_init', 'recent_comments_init' );

class hot_comment extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('hot_comment', '热评文章', $widget_ops);
	}
}

function hot_comment_init() {
	register_widget( 'hot_comment' );
}
add_action( 'widgets_init', 'hot_comment_init' );

class cx_tag_cloud extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('cx_tag_cloud', '热门标签', $widget_ops);
	}
}

function cx_tag_cloud_init() {
	register_widget( 'cx_tag_cloud' );
}
add_action( 'widgets_init', 'cx_tag_cloud_init' );

class random_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('random_post', '随机文章', $widget_ops);
	}
}

function random_post_init() {
	register_widget( 'random_post' );
}
add_action( 'widgets_init', 'random_post_init' );

class related_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('related_post', '相关文章', $widget_ops);
	}
}

function related_post_init() {
	register_widget( 'related_post' );
}
add_action( 'widgets_init', 'related_post_init' );

class hot_commend extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('hot_commend', '本站推荐', $widget_ops);
	}
}

function hot_commend_init() {
	register_widget( 'hot_commend' );
}
add_action( 'widgets_init', 'hot_commend_init' );

class readers extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('readers', '读者墙', $widget_ops);
	}
}

function readers_init() {
	register_widget( 'readers' );
}
add_action( 'widgets_init', 'readers_init' );

class feed_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('feed', '关注我们', $widget_ops);
	}
}
function feed_init() {
	register_widget( 'feed_widget' );
}
add_action( 'widgets_init', 'feed_init' );

class sponsor extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('sponsor', '广告位', $widget_ops);
	}
}
function sponsor_init() {
	register_widget( 'sponsor' );
}
add_action( 'widgets_init', 'sponsor_init' );

class about extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('about', '关于本站', $widget_ops);
	}
}
function about_init() {
	register_widget( 'about' );
}
add_action( 'widgets_init', 'about_init' );

class img_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('img_widget', '最新图片', $widget_ops);
	}
}

class video_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('video_widget', '最新视频', $widget_ops);
	}
}

class tao_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('tao_widget', '最新商品', $widget_ops);
	}
}

class php_text extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('php_text', '增强文本', $widget_ops);
	}
}

function php_text_init() {
	register_widget( 'php_text' );
}
add_action( 'widgets_init', 'php_text_init' );

class timing_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('timing_post', '即将发布', $widget_ops);
	}
}
function timing_post_init() {
	register_widget( 'timing_post' );
}
add_action( 'widgets_init', 'timing_post_init' );

class author_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('author_widget', '作者墙', $widget_ops);
	}
}
function author_widget_init() {
	register_widget( 'author_widget' );
}
add_action( 'widgets_init', 'author_widget_init' );

class about_author extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('about_author', '关于作者', $widget_ops);
	}
}
function about_author_init() {
	register_widget( 'about_author' );
}
add_action( 'widgets_init', 'about_author_init' );

class updated_posts extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('updated_posts', '最近更新过的文章', $widget_ops);
	}
}
function updated_posts_init() {
	register_widget( 'updated_posts' );
}
add_action( 'widgets_init', 'updated_posts_init' );

class ajax_login extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('ajax_login', '登录注册', $widget_ops);
	}
}

function ajax_login_init() {
	register_widget( 'ajax_login' );
}
add_action( 'widgets_init', 'ajax_login_init' );

class pages_recent_comments extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('pages_recent_comments', '留言板', $widget_ops);
	}
}

function pages_recent_comments_init() {
	register_widget( 'pages_recent_comments' );
}
add_action( 'widgets_init', 'pages_recent_comments_init' );

class be_tabs extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('be_tabs', '组合小工具', $widget_ops);
	}
}

function be_tabs_init() {
	register_widget( 'be_tabs' );
}
add_action( 'widgets_init', 'be_tabs_init' );


class site_profile extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('site_profile', '网站概况', $widget_ops);
	}
}
function site_profile_init() {
	register_widget( 'site_profile' );
}
add_action( 'widgets_init', 'site_profile_init' );

class hot_post_img extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('hot_post_img', '热门文章', $widget_ops);
	}
}
function hot_post_img_init() {
	register_widget( 'hot_post_img' );
}
add_action( 'widgets_init', 'hot_post_img_init' );

class like_most_img extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('like_most_img', '大家喜欢', $widget_ops);
	}
}
function like_most_img_init() {
	register_widget( 'like_most_img' );
}
add_action( 'widgets_init', 'like_most_img_init' );

if ( !class_exists('ajax_widget') ) {
	class ajax_widget extends WP_Widget {
		function __construct() {
			$widget_ops = array();
			$control_ops = array();
			parent::__construct('ajax_widget', __('Ajax组合小工具', 'begin-tab'), $widget_ops, $control_ops);
		}
	}
}
add_action( 'widgets_init', 'ajax_widget_init' );
function ajax_widget_init() {
	register_widget( 'ajax_widget' );
}

class mday_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('mday_post', '今日更新', $widget_ops);
	}
}
add_action( 'widgets_init', 'mday_post_init' );
function mday_post_init() {
	register_widget( 'mday_post' );
}

class week_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('week_post', '本周更新', $widget_ops);
	}
}
add_action( 'widgets_init', 'week_post_init' );
function week_post_init() {
	register_widget( 'week_post' );
}

class specified_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('specified_post', '限定时间文章', $widget_ops);
	}
}
add_action( 'widgets_init', 'specified_post_init' );
function specified_post_init() {
	register_widget( 'specified_post' );
}

class show_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('show_widget', '最新产品', $widget_ops);
	}
}

class child_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('child_cat', '同级分类', $widget_ops);
	}
}
add_action( 'widgets_init', 'child_cat_init' );
function child_cat_init() {
	register_widget( 'child_cat' );
}

class same_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('same_post', '同分类文章', $widget_ops);
	}
}
add_action( 'widgets_init', 'same_post_init' );
function same_post_init() {
	register_widget( 'same_post' );
}

class slider_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('slider_post', '幻灯', $widget_ops);
	}
}
add_action( 'widgets_init', 'slider_post_init' );
function slider_post_init() {
	register_widget( 'slider_post' );
}

class tag_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('tag_post', '同标签文章', $widget_ops);
	}
}
add_action( 'widgets_init', 'tag_post_init' );
function tag_post_init() {
	register_widget( 'tag_post' );
}

class ids_post extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('ids_post', '指定文章', $widget_ops);
	}
}
add_action( 'widgets_init', 'ids_post_init' );
function ids_post_init() {
	register_widget( 'ids_post' );
}

class tree_menu extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct( 'tree_menu', __('折叠菜单'), $widget_ops );
	}
}

add_action( 'widgets_init', 'tree_menu_init' );
function tree_menu_init() {
	register_widget( 'tree_menu' );
}

class t_img_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('t_img_cat', '分类模块', $widget_ops);
	}
}

add_action( 'widgets_init', 't_img_cat_init' );
function t_img_cat_init() {
	register_widget( 't_img_cat' );
}

class widget_cover extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_cover', '分类封面', $widget_ops);
	}
}
add_action( 'widgets_init', 'widget_cover_init' );
function widget_cover_init() {
	register_widget( 'widget_cover' );
}

class special_tag extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('special_tag', '所有专题', $widget_ops);
	}
}

function special_tag_init() {
	register_widget( 'special_tag' );
}
add_action( 'widgets_init', 'special_tag_init' );

class widget_cat_icon extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_cat_icon', '分类目录', $widget_ops);
	}
}

add_action( 'widgets_init', 'widget_cat_icon_init' );
function widget_cat_icon_init() {
	register_widget( 'widget_cat_icon' );
}

class widget_tree_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_tree_cat', '折叠分类', $widget_ops);
	}
}

add_action( 'widgets_init', 'widget_tree_cat_init' );
function widget_tree_cat_init() {
	register_widget( 'widget_tree_cat' );
}

class widget_notice extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_notice', '网站公告', $widget_ops);
	}
}

class widget_special extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_special', '专题封面', $widget_ops);
	}
}

add_action( 'widgets_init', 'widget_special_init' );
function widget_special_init() {
	register_widget( 'widget_special' );
}

class recently_viewed extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('recently_viewed', '最近浏览的文章', $widget_ops);
	}
}
add_action( 'widgets_init', 'recently_viewed_init' );
function recently_viewed_init() {
	register_widget( 'recently_viewed' );
}

class widget_filter extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_filter', '条件筛选', $widget_ops);
	}
}
add_action( 'widgets_init', 'widget_filter_init' );
function widget_filter_init() {
	register_widget( 'widget_filter' );
}

class widget_color_cat extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_color_cat', '单栏分类', $widget_ops);
	}
}
add_action( 'widgets_init', 'widget_color_cat_init' );
function widget_color_cat_init() {
	register_widget( 'widget_color_cat' );
}

class special_list extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('special_list', '专题模块', $widget_ops);
	}
}
add_action( 'widgets_init', 'special_list_init' );
function special_list_init() {
	register_widget( 'special_list' );
}

class cat_popular extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('cat_popular', '本类热门', $widget_ops);
	}
}

function cat_popular_init() {
	register_widget( 'cat_popular' );
}
add_action( 'widgets_init', 'cat_popular_init' );

class ajax_text_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('ajax_text', '短代码', $widget_ops);
	}
}

function ajax_text_widget_init(){
	register_widget('ajax_text_widget');
}
add_action('widgets_init', 'ajax_text_widget_init');

class widget_cat_tag extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('widget_cat_tag', '分类标签', $widget_ops);
	}
}
add_action( 'widgets_init', 'widget_cat_tag_init' );
function widget_cat_tag_init() {
	register_widget( 'widget_cat_tag' );
}

class begin_comment_list extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('begin_comment_list', '评论者列表', $widget_ops);
	}
}
add_action( 'widgets_init', 'begin_comment_list_init' );
function begin_comment_list_init() {
	register_widget( 'begin_comment_list' );
}

// Ajax搜索
class ajax_search_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct('ajax_search_widget', 'Ajax搜索', $widget_ops);
	}
}
add_action( 'widgets_init', 'ajax_search_widget_init' );
function ajax_search_widget_init() {
	register_widget( 'ajax_search_widget' );
}

class be_erphpdown_show_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct( 'be_erphpdown_show_widget', '会员资源', $widget_ops );
	}
}

add_action( 'widgets_init', 'be_erphpdown_show_widget_init' );
function be_erphpdown_show_widget_init() {
	register_widget( 'be_erphpdown_show_widget' );
}

class be_ajax_calendar extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct( 'ajax_calendar', '更新日历', $widget_ops );
	}
}

add_action( 'widgets_init', 'be_ajax_calendar_int' );
function be_ajax_calendar_int() {
	register_widget( 'be_ajax_calendar' );
}

class be_counter_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array();
		parent::__construct( 'be_counter', '动画计数器', $widget_ops );
	}
}

add_action( 'widgets_init', 'be_counter_widget_init' );
function be_counter_widget_init() {
	register_widget( 'be_counter_widget' );
}

add_action( 'widgets_init', 'img_widget_init' );
function img_widget_init() {
	register_widget( 'img_widget' );
}
add_action( 'widgets_init', 'video_widget_init' );
function video_widget_init() {
	register_widget( 'video_widget' );
}
add_action( 'widgets_init', 'tao_widget_init' );
function tao_widget_init() {
	register_widget( 'tao_widget' );
}
add_action( 'widgets_init', 'show_widget_init' );
function show_widget_init() {
	register_widget( 'show_widget' );
}
add_action( 'widgets_init', 'widget_notice_init' );
function widget_notice_init() {
	register_widget( 'widget_notice' );
}